ServletEndpointContextImpl (Axis API)
Keywords: org.apache.axis.transport.http.ServletEndpointContextImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class ServletEndpointContextImpl

    java.lang.Object
      org.apache.axis.transport.http.ServletEndpointContextImpl

All Implemented Interfaces:
  ServletEndpointContext

public class ServletEndpointContextImpl
extends java.lang.Object
implements ServletEndpointContext

Constructor Summary
`ServletEndpointContextImpl()`

Method Summary
`javax.servlet.http.HttpSession` | `getHttpSession()` The `getHttpSession` method returns the current HTTP session (as a `javax.servlet.http.HTTPSession`).
`MessageContext` | `getMessageContext()` The method `getMessageContext` returns the `MessageContext` targeted for this endpoint instance.
`javax.servlet.ServletContext` | `getServletContext()` The method `getServletContext` returns the `ServletContex`t associated with the web application that contain this endpoint.
`java.security.Principal` | `getUserPrincipal()` Returns a `java.security.Principal` instance that contains the name of the authenticated user for the current method invocation on the endpoint instance.
`boolean` | `isUserInRole(java.lang.String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletEndpointContextImpl

    public ServletEndpointContextImpl()

Method Detail

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Description copied from interface: `ServletEndpointContext`
  The `getHttpSession` method returns the current HTTP session (as a `javax.servlet.http.HTTPSession`). When invoked by the service endpoint within a remote method implementation, the `getHttpSession` returns the HTTP session associated currently with this method invocation. This method returns `null` if there is no HTTP session currently active and associated with this service endpoint. An endpoint class should not rely on an active HTTP session being always there; the underlying JAX-RPC runtime system is responsible for managing whether or not there is an active HTTP session.

  The getHttpSession method throws `JAXRPCException` if invoked by an non HTTP bound endpoint.

  Specified by:
    `getHttpSession` in interface `ServletEndpointContext`
  Returns:
    The HTTP session associated with the current invocation or `null` if there is no active session.

### getMessageContext

    public MessageContext getMessageContext()

  Description copied from interface: `ServletEndpointContext`
  The method `getMessageContext` returns the `MessageContext` targeted for this endpoint instance. This enables the service endpoint instance to acccess the `MessageContext` propagated by request `HandlerChain` (and its contained `Handler` instances) to the target endpoint instance and to share any SOAP message processing related context. The endpoint instance can access and manipulate the `MessageContext` and share the SOAP message processing related context with the response `HandlerChain`.

  Specified by:
    `getMessageContext` in interface `ServletEndpointContext`
  Returns:
    MessageContext; If there is no associated `MessageContext`, this method returns `null`.

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from interface: `ServletEndpointContext`
  The method `getServletContext` returns the `ServletContex`t associated with the web application that contain this endpoint. According to the Servlet specification, There is one context per web application (installed as a WAR) per JVM . A servlet based service endpoint is deployed as part of a web application.

  Specified by:
    `getServletContext` in interface `ServletEndpointContext`
  Returns:
    the current `ServletContext`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Specified by:
    `isUserInRole` in interface `ServletEndpointContext`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Description copied from interface: `ServletEndpointContext`
  Returns a `java.security.Principal` instance that contains the name of the authenticated user for the current method invocation on the endpoint instance. This method returns `null` if there is no associated principal yet. The underlying JAX-RPC runtime system takes the responsibility of providing the appropriate authenticated principal for a remote method invocation on the service endpoint instance.

  Specified by:
    `getUserPrincipal` in interface `ServletEndpointContext`
  Returns:
    A `java.security.Principal` for the authenticated principal associated with the current invocation on the servlet endpoint instance; Returns `null` if there no authenticated user associated with a method invocation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.